<style>
  .py-5 {
    padding-top: 1rem !important;
    padding-bottom: 3rem !important;
  }

  .custom-card .col-12 {
    margin-top: 18px;
  }
</style>

<div class="card-body p-4 p-md-5">
  <h3 class="mb-4 pb-2 pb-md-0 mb-md-3">{{!editForm ? createTitle : editTitle}}
    <button style="float:right" class="btn btn-dark" routerLink="/">Back</button>
  </h3>
  <form [formGroup]="orderForm" class="form-horizontal">

    <div class="row col-12 ml-2">
      <div class="from-group col-12 row">
        <div class="col-6 row" style="margin-left: 2px">
          <label for="name" class="control-label">Name</label>
          <input id="name" type="text" class="form-control" formControlName="name" required/>
        </div>
        <span class="col-6 row alert alert-danger" style="margin-left: 4px;top: 18px;"
              *ngIf="getName?.errors && getName?.touched">
                            <span *ngIf="getName?.errors?.required">{{errorMessages.nameRequired}}</span>
                            <span *ngIf="getName?.errors?.invalid">{{errorMessages.nameInvalid}}</span>
                            <span *ngIf="getName?.errors?.pattern">{{errorMessages.namePattern}}</span>
                  </span>
      </div>
    </div>

    <div class="row col-12 ml-2 mt-1">
      <div class="from-group col-12 row">
        <div class="col-6 row" style="margin-left: 2px">
          <label for="state" class="control-label">State</label>
          <input id="state" type="text" class="form-control" formControlName="state" required/>
        </div>
        <span class="col-6 row alert alert-danger" style="margin-left: 4px;top: 18px;"
              *ngIf="getState?.errors && getState?.touched">
              <span *ngIf="getState?.errors?.required">{{errorMessages.stateRequired}}</span>
                <span *ngIf="getState?.errors?.invalid">{{errorMessages.stateInvalid}}</span>
              <span *ngIf="getState?.errors?.pattern">{{errorMessages.statePattern}}</span>
            </span>
      </div>
    </div>

    <div class="row col-12 ml-2 mt-1">
      <div class="from-group col-12 row">
        <div class="col-6 row" style="margin-left: 2px">
          <label for="zip" class="control-label">Zip</label>
          <input id="zip" type="numbers" minlength="6" maxlength="6" class="form-control"
                 formControlName="zip"
                 required/>
        </div>
        <span class="col-6 row alert alert-danger" style="margin-left: 4px;top: 18px;"
              *ngIf="getZip?.errors && getZip?.touched">
              <span *ngIf="getZip?.errors?.required">{{errorMessages.zipRequired}}</span>
                <span *ngIf="getZip?.errors?.invalid">{{errorMessages.zipInvalid}}</span>
              <span *ngIf="getZip?.errors?.pattern">{{errorMessages.zipPattern}}</span>
            </span>
      </div>

    </div>

    <div class="row col-12 ml-2 mt-1">
      <div class="from-group col-12 row">
        <div class="col-6 row" style="margin-left: 2px">
          <label for="amount" class="control-label">Amount</label>
          <input id="amount" type="numbers" class="form-control" formControlName="amount" required/>
        </div>
        <span class="col-6 row alert alert-danger" style="margin-left: 4px;top: 18px;"
              *ngIf="getAmount?.errors && getAmount?.touched">
              <span *ngIf="getAmount?.errors?.required">{{errorMessages.amountRequired}}</span>
                <span *ngIf="getAmount?.errors?.invalid">{{errorMessages.amountInvalid}}</span>
              <span *ngIf="getAmount?.errors?.pattern">{{errorMessages.amountPattern}}</span>
            </span>
      </div>
    </div>


    <div class="row col-12 ml-2 mt-1">
      <div class="from-group col-12 row">
        <div class="col-6 row" style="margin-left: 2px">
          <label for="quantity" class="control-label">Quantity</label>
          <input id="quantity" type="numbers" class="form-control" formControlName="quantity" required/>
        </div>
        <span class="col-6 row alert alert-danger" style="margin-left: 4px;top: 18px;"
              *ngIf="getQuantity?.errors && getQuantity?.touched">
              <span *ngIf="getQuantity?.errors?.required">{{errorMessages.quantityRequired}}</span>
                <span *ngIf="getQuantity?.errors?.invalid">{{errorMessages.quantityInvalid}}</span>
              <span *ngIf="getQuantity?.errors?.pattern">{{errorMessages.quantityPattern}}</span>
            </span>
      </div>
    </div>

    <div class="row col-12 ml-2 mt-1">
      <div class="from-group col-12 row">
        <div class="col-6 row" style="margin-left: 2px">
          <label for="item" class="control-label">Item</label>
          <input id="item" type="numbers" class="form-control" formControlName="item" required/>
        </div>
        <span class="col-6 row alert alert-danger" style="margin-left: 4px;top: 18px;"
              *ngIf="getItem?.errors && getItem?.touched">
              <span *ngIf="getItem?.errors?.required">{{errorMessages.itemRequired}}</span>
              <span *ngIf="getItem?.errors?.invalid">{{errorMessages.itemInvalid}}</span>
              <span *ngIf="getItem?.errors?.pattern">{{errorMessages.itemPattern}}</span>
            </span>
      </div>
    </div>

    <div style="float: right;">
      <button type="submit" class="btn btn-primary mt-2" [disabled]="orderForm.invalid" (click)="submit()">
        {{!editForm ? 'Create' : 'Update'}}
      </button>
      <button  class="btn btn-primary" data-dismiss="modal" (mousedown)="closeModal('Close modal')">Close</button>
    </div>
  </form>
</div>


